/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import "~@ionic/angular/css/display.css";

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

@import "./theme/modal";
@import "./theme/typography";
@import "./theme/spacing";
@import "./theme/color";


.card {
  background-color: white;
  border-radius: 10px;
  box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.1);
  padding: 8px;
}

ion-header {
  ion-toolbar {
    --background: var(--ion-color-primary);
    --color:white;
  }
}



.grass {
  &-bg {
    background-color: #7ac74c;
  }
}

.normal {
  &-bg {
    background-color: #a8a77a;
  }
}

.fire {
  &-bg {
    background-color: #ee8130;
  }
}

.water {
  &-bg {
    background-color: #6390f0;
  }
}

.electric {
  &-bg {
    background-color: #f7d02c;
  }
}

.ice {
  &-bg {
    background-color: #96d9d6;
  }
}

.fighting {
  &-bg {
    background-color: #c22e28;
  }
}

.poison {
  &-bg {
    background-color: #a33ea1;
  }
}

.ground {
  &-bg {
    background-color: #e2bf65;
  }
}

.flying {
  &-bg {
    background-color: #a98ff3;
  }
}

.psychic {
  &-bg {
    background-color: #f95587;
  }
}

.bug {
  &-bg {
    background-color: #f95587;
  }
}

.psychic {
  &-bg {
    background-color: #f95587;
  }
}

.bug {
  &-bg {
    background-color: #a6b91a;
  }
}

.ghost {
  &-bg {
    background-color: #735797;
  }
}

.dragon {
  &-bg {
    background-color: #6f35fc;
  }
}

.dark {
  &-bg {
    background-color: #705746;
  }
}

.steel {
  &-bg {
    background-color: #b7b7ce;
  }
}

.fairy {
  &-bg {
    background-color: #d685ad;
  }
}

.rock {
  &-bg {
    background-color: #B6A136;
  }
}



ion-button {
  text-transform: unset;
  letter-spacing: 0.1px;
  --border-radius: 10px;
  --box-shadow: none;
  height: 40px;
}


